<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_info_panel.php
| Author: Nick Jones (Digitanium)
| Modified by Sveinungs & MarcusG
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

//include LOCALE.LOCALESET."admin/main.php";
//include LOCALE.LOCALESET."search.php";

if (file_exists(INFUSIONS."user_info_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_info_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."user_info_panel/locale/English.php";
}

include (INFUSIONS."user_info_panel/uip_settings.php");

$i=($uip_bullet)?UIPIMG."bullet".$bullet_style.".gif":$i=THEME."images/bullet.gif";
define("UIP_BULLET","<img src='".$i."' />");
$i=($uip_nowrap)?"style='white-space:nowrap'":"";
define("UIP_WRAP",$i);

add_to_head("<style type='text/css'>.sub-notify{color: #0F67A1; font-size: 70%; font-weight:bold; background-color: #FFFF99; padding: 0 3px; border:1px solid #59728B; }</style>");

add_to_head("<script type='text/javascript'>\n
function FensterOeffnen (Adresse) {\n
  MeinFenster = window.open(Adresse, 'Zweitfenster', 'width=800,height=450,left=100,top=100,scrollbars=no');\n
  MeinFenster.focus();\n
}\n
</script>");
add_to_head("<link rel='stylesheet' href='".UIP."uip_css.css' type='text/css' />");
//add_to_head("<script type='text/javascript' src='".UIP."uip_js.js'></script>");



if (iMEMBER) {
	openside($userdata['user_name']);
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
//So that we can calculate if inbox is full:
	$msg_settings = dbarray(dbquery("SELECT * FROM ".DB_MESSAGES_OPTIONS." WHERE user_id='0'"));
	$inbox_total = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_folder='0'");  
	
if($newpm){
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0'AND message_folder='0'");
	if($msg_count){
		echo "<a href='".BASEDIR."messages.php' class='side'><img src='".UIPIMG."pm1.png' border='0' /> ".sprintf($locale['UIP_0300'], $msg_count).($msg_count == 1 ? $locale['UIP_0301'] : $locale['UIP_0302'])."</a>\n<hr>";
	}else{
		if($nonewpm){
			echo "<img src='".UIPIMG."pm0.png' />".$locale['UIP_0304']."\n<hr>";
		}
	}
	if ($msg_settings['pm_inbox'] <= $inbox_total) { 
		echo " <a href='".BASEDIR."messages.php' class='side'><img src='".UIPIMG."inbox_full.png' border='0' alt='!' title='".$locale['msg_full']." [$inbox_total/".$msg_settings['pm_inbox']."]' />".$locale['msg_full']." [$inbox_total/".$msg_settings['pm_inbox']."]</a>\n<hr>"; 
  }
}

// Avatar in Frame
if($avatarshow){
	if(!$avatarframe){
		if($userdata['user_avatar']){
			echo "<center><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img style='width: 84px; height: 84px;' alt='".$locale['UIP001']."' title='".$locale['UIP001']."' src='".BASEDIR."images/avatars/".$userdata['user_avatar']."' /></a></center>\n";
		}else{
			echo "<center><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img border='0' alt='".$locale['UIP001']."' title='".$locale['UIP001']."' src='".UIPIMG."noav.gif' /></a></center>\n";
		}
	}else{
		if($userdata['user_avatar']){
			echo "<center><table style='text-align: center; height: 100px; width: 100px;' background='".UIPIMG."avatarbg.gif' border='0' cellpadding='0' cellspacing='0'>
			<tbody><tr><td style='height: 100px; width: 100px;' align='center'>
			<table style='margin: 4px auto auto; width: 84px; height: 84px; text-align: left;' border='0' cellpadding='0' cellspacing='0'><tbody><tr>
			<td style='height: 84px; width: 84px;'><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img style='width: 84px; height: 84px;' alt='".$locale['UIP001']."' title='".$locale['UIP001']."' src='".BASEDIR."images/avatars/".$userdata['user_avatar']."'></a></td>
			</tr></tbody></table></td></tr></tbody></table></center>\n";
		}else{
			echo "<center><a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."'><img border='0' alt='".$locale['UIP001']."' title='".$locale['UIP001']."' src='".UIPIMG."noav.gif'></a></center>\n";
		}
		echo "<br />\n";
	}
}
//////////////////////////////////////////////////////////////////////////////////////////

if($adminshow){
//Hides this bit if you are inside the admin panel:
if(!defined("ADMIN_PANEL") && iADMIN){
	function subm_count($i){return dbcount("(submit_id)",DB_SUBMISSIONS,"submit_type='$i'");}
	function subm_color($i){return dbcount("(submit_id)",DB_SUBMISSIONS,"submit_type='$i'")?"red":"green";}
	function nmem_count(){return dbcount("(user_id)", DB_USERS, "user_status='2'");}
	function nmem_color(){return dbcount("(user_id)", DB_USERS, "user_status='2'")?"red":"green";}
	$scolor=(subm_count('a') OR subm_count('l') OR subm_count('n') OR subm_count('p') OR nmem_count())?"red":"green";
	echo "<span".UIP_WRAP."'><img src='".UIPIMG."panel_on.gif' id='b_UIPAdmin' class='panelbutton' alt='' onclick=\"javascript:flipBox('UIPAdmin')\" /><font color='".$scolor."'><b>".$locale['UIP_0200']."</b></font></span>\n<div id='box_UIPAdmin' style='display:none;'>";
	
// Admin-Links
	if($adminlink){
	if (checkrights("N")) { echo "<span".UIP_WRAP."'>".UIP_BULLET." <a href='".ADMIN."news.php".$aidlink."'>".$locale['wrt_news']."</a><br />";}
	if (checkrights("A")) { echo "<span".UIP_WRAP."'>".UIP_BULLET." <a href='".ADMIN."articles.php".$aidlink."'>".$locale['wrt_article']."</a><br /><hr class='side-hr' />\n";}
	echo "<span".UIP_WRAP."'>".(dbcount("(admin_id)", DB_ADMIN, "admin_page='1'"))?UIP_BULLET." <a href='".ADMIN."index.php".$aidlink."&amp;pagenum=1'>".$locale['UIP_0201']."</a></span><br />":"";
	echo "<span".UIP_WRAP."'>".(dbcount("(admin_id)", DB_ADMIN, "admin_page='2'"))?UIP_BULLET." <a href='".ADMIN."index.php".$aidlink."&amp;pagenum=2'>".$locale['UIP_0202']."</a></span><br />":"";
	echo "<span".UIP_WRAP."'>".(dbcount("(admin_id)", DB_ADMIN, "admin_page='3'"))?UIP_BULLET." <a href='".ADMIN."index.php".$aidlink."&amp;pagenum=3'>".$locale['UIP_0203']."</a></span><br />":"";
	echo "<span".UIP_WRAP."'>".(dbcount("(admin_id)", DB_ADMIN, "admin_page='4'"))?UIP_BULLET." <a href='".ADMIN."index.php".$aidlink."&amp;pagenum=4'>".$locale['UIP_0204']."</a></span><br />":"";
	}
	
// Submissions
	if($adminsubmiss){
if(checkrights("SU")) {
	if($adminlink){echo "<hr class='side-hr' />\n";}
	echo "<font class='menu'><b>".$locale['UIP_0210']."</b></font><br />";
	echo "<span".UIP_WRAP."'>".UIP_BULLET." <a href='".ADMIN."submissions.php".$aidlink."#article_submissions'>".$locale['UIP_0207']."</a>: <font color='".subm_color('a')."'>".subm_count('a')."</font></span><br />";
	echo "<span".UIP_WRAP."'>".UIP_BULLET." <a href='".ADMIN."submissions.php".$aidlink."#link_submissions'>".$locale['UIP_0208']."</a>: <font color='".subm_color('l')."'>".subm_count('l')."</font></span><br />";
	echo "<span".UIP_WRAP."'>".UIP_BULLET." <a href='".ADMIN."submissions.php".$aidlink."#news_submissions'>".$locale['UIP_0206']."</a>: <font color='".subm_color('n')."'>".subm_count('n')."</font></span><br />";
	echo "<span".UIP_WRAP."'>".UIP_BULLET." <a href='".ADMIN."submissions.php".$aidlink."#photo_submissions'>".$locale['UIP_0205']."</a>: <font color='".subm_color('p')."'>".subm_count('p')."</font></span><br />";
	}
	echo (checkrights("M")?UIP_BULLET." <a href='".ADMIN."members.php".$aidlink."&amp;sortby=all&amp;status=2'>".$locale['UIP_0209']."</a>":UIP_BULLET." ".$locale['UIP_0209']);
	echo " <font color='".nmem_color()."'>".nmem_count()."</font><br />";
	}
	echo "</div>";
}
}
// Links (Profile, Members, Log-Out /////////////////////////////////////////////////////////////////////
	if($linkinfo){
	echo "<script>
	var linktext=new Array()
	linktext[1]=\"".$locale['UIP_0271']."\"
	linktext[2]=\"".$locale['UIP_0273']."\"
	linktext[3]=\"".$locale['UIP_0275']."\"
	linktext[4]=\"".$locale['UIP_0277']."\"
	linktext[5]=\"".$locale['UIP_0279']."\"
	linktext[6]=\"".$locale['UIP_0281']."\"
	linktext[7]=\"".$locale['pfss_panel1'].score_account_stand()."\"
	linktext[8]=\"".$locale['pfss_scsy36']."\"
	var ns6=document.getElementById&&!document.all
	var ie=document.all
	function show_text(thetext, whichdiv){
	if (ie) eval(\"document.all.\"+whichdiv).innerHTML=linktext[thetext]
	else if (ns6) document.getElementById(whichdiv).innerHTML=linktext[thetext]
	}
	function resetit(whichdiv){
	if (ie) eval(\"document.all.\"+whichdiv).innerHTML=' '
	else if (ns6) document.getElementById(whichdiv).innerHTML=' '
	}
	</script>";
	}
	echo "<div id='UIP_links'>";

	echo "<br /><center><span style='white-space: nowrap;'>
		<a href='".BASEDIR."edit_profile.php' class='side' title='".$locale['UIP_0270']."'><img src='".UIPIMG."img1.png' alt='".$locale['UIP_0270']."' onmouseover=\"show_text(1,'div2')\" onmouseout=\"resetit('div2')\" /></a>
		<a href='".BASEDIR."messages.php' class='side' title='".$locale['UIP_0272']."'><img src='".UIPIMG."img2.png' alt='".$locale['UIP_0272']."' onmouseover=\"show_text(2,'div2')\" onmouseout=\"resetit('div2')\" /></a> 
		<a href='".BASEDIR."members.php' class='side' title='".$locale['UIP_0274']."'><img src='".UIPIMG."img3.png' alt='".$locale['UIP_0274']."' onmouseover=\"show_text(3,'div2')\" onmouseout=\"resetit('div2')\" /></a>
		<a href='".BASEDIR."setuser.php?logout=yes' class='side' title='".$locale['UIP_0276']."'><img src='".UIPIMG."img4.png' alt='".$locale['UIP_0276']."' onmouseover=\"show_text(4,'div2')\" onmouseout=\"resetit('div2')\" /></a></span></center>";
// Info /////////////
	if($linkinfo){
		echo "&nbsp;<i><span id='div2'></span></i>";
		echo "<br />";	
	}
/////////////////////
	echo "<center><span style='white-space: nowrap;'>";
/// Avatar-Studio ///////////////	
	if (file_exists(INFUSIONS."avatar_studio/avatar_studio.php")) {
	echo "<a href='".INFUSIONS."avatar_studio/avatar_studio.php' class='side' title='".$locale['UIP_0278']."'><img src='".UIPIMG."img5.png' alt='".$locale['UIP_0278']."' onmouseover=\"show_text(5,'div2');\" onmouseout=\"resetit('div2');\" /></a>";
	}
/////////////////////////////////

/// User Foto Album ///////////////
	if (file_exists(BASEDIR."edit_userprofilepics.php")) {
	echo "<a href='".BASEDIR."edit_userprofilepics.php' title='".$locale['UIP_0280']."'><img src='".UIPIMG."img6.png' alt='".$locale['UIP_0280']."' onmouseover=\"show_text(6,'div2');\" onmouseout=\"resetit('div2');\" /></a>";
	}
///////////////////////////////////

///Score-System ///////////////////
	if (defined("SCORESYSTEM")) {
		if (iMEMBER) {
			if (!score_ban($userdata['user_id'])) {
				echo "<a href='".SCORESYSTEM."scoresystem.php' target='_self' class='side' title='".$locale['pfss_panel2']."'><img src='".UIPIMG."img7.png' alt='".$locale['pfss_panel2']."' onmouseover=\"show_text(7,'div2');\" onmouseout=\"resetit('div2');\" /></a></span>";
			} else {
				echo "<a href='".SCORESYSTEM."scoresystem.php' target='_self' class='side' title='".$locale['pfss_panel2']."'><img src='".UIPIMG."img7a.png' alt='".$locale['pfss_panel2']."' onmouseover=\"show_text(8,'div2');\" onmouseout=\"resetit('div2');\" /></a></span>";
			}
		}
	}
///////////////////////////////////
	echo "</center></div><hr />";

// Experience /////////////////////////////////////////////////////////////////////////////
	$showexp = f_showexp($userdata['user_id']);
	switch ($showexp[9]){
		case 1:$level=$locale['UIP_0231'];break;
		case 2:$level=$locale['UIP_0232'];break;
		case 3:$level=$locale['UIP_0233'];break;
		case 4:$level=$locale['UIP_0234'];break;
		case 5:$level=$locale['UIP_0235'];break;
		case 6:$level=$locale['UIP_0236'];break;
		case 7:$level=$locale['UIP_0237'];break;
		case 8:$level=$locale['UIP_0238'];break;
		case 9:$level=$locale['UIP_0239'];break;
		case 10:$level=$locale['UIP_0240'];break;
		case 11:$level=$locale['UIP_0241'];break;
		default:$level=$locale['UIP_0241'];break;
	}
	echo "<a style='cursor:help;' href='".INFUSIONS."user_info_panel/user_info_help.php' onclick='FensterOeffnen(this.href); return false'>".$locale['UIP_0110']."</a>: ".$level."<br />";
	echo $locale['UIP_0111'].": ".$showexp[7]."/".$showexp[8]."<br />";
	echo "<table width='100%' border='1'><tr><td width='100%' class='line'>\n".
	"<img src='".INFUSIONS."user_info_panel/img/line.gif' title='".$locale['UIP_0120']." [".$showexp[10]."%]' height='8' width='".$showexp[10]."' align='left' /></td></tr></table>";
// User Statistics /////////////////////////////////////////////////////////////////////////////
	if ($userstats) {
	echo "<br /><span".UIP_WRAP."'><img src='".UIPIMG."panel_on.gif' id='b_UIPUserstats' class='panelbutton' alt='' onclick=\"javascript:flipBox('UIPUserstats')\" /><font color='".$menucolor."'><b>".$locale['UIP002']."</b></font></span>\n<div id='box_UIPUserstats' style='display:none;'>";
	echo $showexp[0]?$locale['UIP_0130'].": ".$showexp[0]."<br />":"";
	echo $showexp[1]?$locale['UIP_0133'].": ".$showexp[1]."<br />":"";
	echo $showexp[2]?$locale['UIP_0131'].": ".$showexp[2]."<br />":"";
	echo $showexp[3]?$locale['UIP_0132'].": ".$showexp[3]."<br />":"";
	echo $showexp[4]?$locale['UIP_0134'].": ".$showexp[4]."<br />":"";
	echo $showexp[5]?$locale['UIP_0135'].": ".$showexp[5]."<br />":"";
	echo $showexp[6]?$locale['UIP_0136'].": ".$showexp[6]."<br />":"";

//	echo "<hr class='side-hr' />\n";
	echo "</div><br />";
	}

//////////////////////////////////////////////////////////////////////////////////////////

// Site Statistics ///////////////////////////////////////////////////////////////////////////
if($statistics){
	echo "<img src='".UIPIMG."panel_on.gif' id='b_UIPSTATS' class='panelbutton' alt='' onclick=\"javascript:flipBox('UIPSTATS')\" /><font color='".$menucolor."'><b>".$locale['UIP_0310']."</b></font><div id='box_UIPSTATS' style='display:none;'>";
	$result = dbquery("DELETE FROM ".DB_ONLINE." WHERE online_lastactive<".(time()-60)."");
	$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user='0'");
	$guest = dbrows($result)."<br />\n";
	$result = dbquery("SELECT ton.*, user_id,user_name FROM ".DB_ONLINE." ton LEFT JOIN ".DB_USERS." tu ON ton.online_user=tu.user_id WHERE online_user!='0'");
	if($registered){
		$result = dbquery("SELECT user_joined, user_name, user_id FROM ".DB_USERS." ORDER BY user_joined DESC ");
		$today1=0; $yesterday1=0; $week1=0; $year1=0; $total1=0; $month1=0; $year2=0; $nname=0; $nid=0;
		$today=showdate("%j/%y", time());
		$yesterday=$today-1;
		$week=showdate("%W/%y", time());
		$month=showdate("%m/%y", time());
		$year=showdate("%y", time());
		$lastyear=$year-1;
		while ($data = dbarray($result)) {
			$total1++;
			$time1=showdate("%j/%y", $data['user_joined']);
			$time2=showdate("%W/%y", $data['user_joined']);
			$time3=showdate("%y", $data['user_joined']);
			$time4=showdate("%m/%y", $data['user_joined']);
			if ($time1==$today) $today1++;
			if ($time1==$yesterday) $yesterday1++;
			if ($time2==$week) $week1++;
			if ($time3==$year) $year1++;
			if ($time4==$month) $month1++;
			if ($time3==$lastyear) $year2++;
			if($total1 == 1) {
			$nu_name = $data['user_name'];
			$nu_id = $data['user_id'];
			}
		}
		echo "<font class='menu'><b>".$locale['UIP_0316']."</b></font><br />";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0319'].": ".$today1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0318'].": ".$yesterday1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0320'].": ".$week1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0321'].": ".$month1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0322'].": ".$year1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0317'].": ".$year2."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0329'].": ".$total1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['newmembers'].": <br />";
		$result=dbquery("SELECT user_id, user_name, user_status, user_joined, user_lastvisit, user_level FROM ".DB_USERS." WHERE user_status='0' ORDER BY user_id DESC LIMIT 0,5");  
		while($data=dbarray($result)){
		if ($tooltip){
		$titel = "cssbody=[tbl1] cssheader=[tbl2] fade=[on] fadespeed=[0.04] offsetx=[-250] offsety=[-50]";
		$headr = "Info - ".$data['user_name'];
		$sql = mysql_query("SELECT DATEDIFF(curdate(),user_birthdate) as 'age' FROM ".DB_PREFIX."users WHERE user_id='".$data['user_id']."'");
		$alter1 = mysql_result($sql,'age');
		$alter2 = $alter1 / 365;
		$alter3 = number_format(floor($alter2),0,'.',',');
		$bodytext = getuserlevel($data['user_level'])."<br />".$locale['UIP_0107'].": ".$alter3."<br />".$locale['UIP_0105'].": ".showdate("%d.%m.%Y %H:%M:%S", $data['user_joined'])."<br />".$locale['UIP_0106'].": ".showdate("%d.%m.%Y %H:%M:%S", $data['user_lastvisit']);
		
		echo "&nbsp;".THEME_BULLET." <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."' title='".$titel." header=[".$headr."] body=[".$bodytext."]'>".$data['user_name']."</a><br />";
		}else{
		echo "&nbsp;".THEME_BULLET." <a href='".BASEDIR."profile.php?lookup=".$data['user_id']."'>".$data['user_name']."</a><br />";
		}
		}
		echo "<br />";
	}
	if($members){
		$result = dbquery("SELECT user_lastvisit FROM ".DB_USERS." ORDER BY user_lastvisit DESC ");
		$visitedtoday1=0; $visitedyesterday1=0; $visitedweek1=0; $visitedyear1=0; $visitedmonth1=0; $visitedyear2=0;
		$today=showdate("%j/%y", time());
		$yesterday=$today-1;
		$week=showdate("%W/%y", time());
		$month=showdate("%m/%y", time());
		$year=showdate("%y", time());
		$lastyear=$year-1;
		while ($data = dbarray($result)) {
		$time1=showdate("%j/%y", $data['user_lastvisit']);
		$time2=showdate("%W/%y", $data['user_lastvisit']);
		$time3=showdate("%y", $data['user_lastvisit']);
		$time4=showdate("%m/%y", $data['user_lastvisit']);
		if ($time1==$today) $visitedtoday1++;
		if ($time1==$yesterday) $visitedyesterday1++;
		if ($time2==$week) $visitedweek1++;
		if ($time3==$year) $visitedyear1++;
		if ($time4==$month) $visitedmonth1++;
		if ($time3==$lastyear) $visitedyear2++;
		}
		echo "<font class='menu'><b>".$locale['UIP_0330']."</b></font><br />";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0319'].": ".$visitedtoday1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0318'].": ".$visitedyesterday1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0320'].": ".$visitedweek1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0321'].": ".$visitedmonth1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0322'].": ".$visitedyear1."<br />\n";
		echo "&nbsp;".UIP_BULLET.$locale['UIP_0317'].": ".$visitedyear2."<br />\n";
	}
	echo "&nbsp;".UIP_BULLET.$locale['UIP_0315'].": ".$guest;
	echo "</div><br />";
}
//////////////////////////////////////////////////////////////////////////////////////////

// Birthdays ///////////////////////////////////////////////////////////////////////////////
if($showbirthday){
	echo "<img src='".UIPIMG."panel_on.gif' id='b_UIPBDAY' class='panelbutton' alt='' onclick=\"javascript:flipBox('UIPBDAY')\" /><font color='".$menucolor."'><b>".$locale['UIP_0220']."</b></font><div id='box_UIPBDAY' style='display:none;'>";
	$t = "____-".showdate('%m-%d',time());
	$r = dbquery("SELECT user_birthdate,user_name,user_id FROM ".DB_USERS." WHERE user_birthdate like '$t' ORDER BY user_name ASC");
	if(mysql_num_rows($r)){
		while ($i = mysql_fetch_array($r)){
			echo "<span style='white-space: nowrap;'><img src='".UIPIMG."birthday.gif'> <a href='".BASEDIR."profile.php?lookup=".$i['user_id']."'>".$i['user_name']."</a></span><br />";
		}
	}else{
	echo $locale['UIP_0221'].".<hr />";
	}
	echo "</div><br />";
}

//////////////////////////////////////////////////////////////////////////////////////////

//More Info //////////////////////////////////////////////////////////////////////////////
if($moreinfo){
		echo "<img src='".UIPIMG."panel_on.gif' id='b_UIPMINFO' class='panelbutton' alt='' onclick=\"javascript:flipBox('UIPMINFO')\" /><font color='".$menucolor."'><b>".$locale['UIP_0289']."</b></font><div id='box_UIPMINFO' style='display:none;'>";
	if($detectip){
		if (!empty($_SERVER['HTTP_CLIENT_IP']))
		//check ip from share internet
		{$ipaddress=$_SERVER['HTTP_CLIENT_IP'];}
		elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
		//to check ip is pass from proxy
		{$ipaddress=$_SERVER['HTTP_X_FORWARDED_FOR'];}
		else
		{$ipaddress=$_SERVER['REMOTE_ADDR'];}
		echo "".$locale['UIP_0290'].": ".$ipaddress;
		echo "<br />";
	}
	if($detectjs){
		echo "
		<script type='text/javascript'>var jsver=1.0;</script>
		<script language='javascript1.1'>jsver=1.1;</script>
		<script language='javascript1.2'>jsver=1.2;</script>
		<script language='javascript1.3'>jsver=1.3;</script>
		<script language='javascript1.4'>jsver=1.4;</script>
		<script language='javascript1.5'>jsver=1.5;</script>
		<script language='javascript1.6'>jsver=1.6;</script>
		<script language='javascript1.7'>jsver=1.7;</script>
		<script language='javascript1.8'>jsver=1.8;</script>
		<script language='javascript1.9'>jsver=1.9;</script>
		<script language='javascript2.0'>jsver=2.0;</script>
		<script language='javascript2.1'>jsver=2.1;</script>
		<script type=\"text/javascript\">
		document.write('".$locale['UIP_0291'].": ' + jsver); </script><br />";
	}
	if($detectscreen){
		echo "<script type=\"text/javascript\">
		document.write(\"<span style='white-space: nowrap;'>".$locale['UIP_0293'].": \")
		document.write(screen.width + \"X\" + screen.height)
		document.write(\"<\/span><br \/>\")
		document.write(\"<span style='white-space: nowrap;'>".$locale['UIP_0294'].": \")
		document.write(screen.availWidth + \"x\" + screen.availHeight)
		document.write(\"<\/span><br \/>\")
		document.write(\"<span style='white-space: nowrap;'>".$locale['UIP_0295'].": \")
		document.write(screen.colorDepth)
		document.write(\"<\/span><br \/>\")
		</script>";
	}
	if($detectos){
		echo "<script type=\"text/javascript\">
		var OSName=\"Unknown OS\";
		if (navigator.appVersion.indexOf(\"Win\")!=-1) OSName=\"Windows\";
		if (navigator.appVersion.indexOf(\"Mac\")!=-1) OSName=\"MacOS\";
		if (navigator.appVersion.indexOf(\"X11\")!=-1) OSName=\"UNIX\";
		if (navigator.appVersion.indexOf(\"Linux\")!=-1) OSName=\"Linux\";
		document.write('".$locale['UIP_0296'].": '+OSName);</script><br />";
	}
	echo"</div>";
}
//////////////////////////////////////////////////////////////////////////////////////////

} else {
	openside($locale['global_100']);
	if($notloggedin){
	if($welcomeimage){
		echo "<center><img style='width: 150px;' src='".$welcomeimgurl."' /></center><br />";
	}
	if($welcomemessage){
		echo "<center><font class='menu'><b>".$welcomemsg."</b></font>";
		echo "<br />";
		echo "<font class='menu'>".$welcomemsg1."</font></center>";
		echo "<br />";
	}
	
		if ($settings['enable_registration']){
		echo "<img src='".UIPIMG."2.gif' /><b><a href='".BASEDIR."register.php'> ".$locale['UIP_0102']."</a></b><br />";
		echo "<br />";
		}
		echo "<div style='text-align:center'>".$locale['global_106']."\n</div>\n";
		echo "<hr />\n";
		echo "<img src='".UIPIMG."3.png' />\n<font class='menu'><b>".$locale['UIP_0103']."</b></font>\n<br />\n";
		echo "<div style='text-align:center'>\n";
		echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
		echo $locale['global_101']."<br />\n<input type='text' name='user_name' class='textbox' style='width:100px' /><br />\n";
		echo $locale['global_102']."<br />\n<input type='password' name='user_pass' class='textbox' style='width:100px' /><br />\n";
		echo "<input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' />\n";
		echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' /><br />\n";
		echo "</form>\n</div>\n";
	
} else {
// Original Login Form
	echo "<div style='text-align:center'>\n";
               $url_string = $_SERVER['PHP_SELF']."?".$_SERVER['QUERY_STRING']; 
               echo "<form name='loginform' method='post' action='$url_string'>\n";
	echo $locale['global_101']."<br />\n<input type='text' name='user_name' class='textbox' style='width:100px' /><br />\n";
	echo $locale['global_102']."<br />\n<input type='password' name='user_pass' class='textbox' style='width:100px' /><br />\n";
	echo "<input type='checkbox' name='remember_me' value='y' title='".$locale['global_103']."' style='vertical-align:middle;' />\n";
	echo "<input type='submit' name='login' value='".$locale['global_104']."' class='button' /><br />\n";
	echo "</form>\n<br />\n";
	if ($settings['enable_registration']) {
		echo "".$locale['global_105']."<br /><br />\n";
	}
	echo $locale['global_106']."\n</div>\n";
//////////////////////
	}
}

closeside();

function f_showexp($exp_user,$s1=true,$s2=true,$s3=true,$s4=true,$s5=true,$s6=true,$s7=true){
	$result=dbquery("SELECT * FROM ".DB_USERS." WHERE user_id='$exp_user'");if(dbrows($result)){$data=dbarray($result);}
	$posts=$s1?($data['user_posts']):0;
	$comments=$s2?(dbcount("(comment_id)", DB_COMMENTS,"comment_name='$exp_user'")):0;
	$shoutbox=$s3?(dbcount("(shout_id)", DB_SHOUTBOX,"shout_name='$exp_user'")):0;
	$rating=$s4?(dbcount("(rating_id)", DB_RATINGS,"rating_user='$exp_user'")):0;
	$news=$s5?(dbcount("(news_id)", DB_NEWS,"news_name='$exp_user'")):0;
	$articles=$s6?(dbcount("(article_id)",DB_ARTICLES,"article_name='$exp_user'")):0;
	$photos=$s7?(dbcount("(photo_id)",DB_PHOTOS,"photo_user='$exp_user'")):0;
	$sum=($posts+$comments+$shoutbox+$rating+$news+$articles);
	if($sum>="5000"){$rang="10000";$lvl=11;}
	elseif($sum>="2500"){$rang="5000";$lvl=10;}
	elseif($sum>="1000"){$rang="2500";$lvl=9;}
	elseif($sum>="500"){$rang="1000";$lvl=8;}
	elseif($sum>="250"){$rang="500";$lvl=7;}
	elseif($sum>="100"){$rang="250";$lvl=6;}
	elseif($sum>="50"){$rang="100";$lvl=5;}
	elseif($sum>="25"){$rang="50";$lvl=4;}
	elseif($sum>="5"){$rang="25";$lvl=3;}
	elseif($sum>="1"){$rang="5";$lvl=2;}
	elseif($sum<="1"){$rang="0";$lvl=1;}
	else{return false;}
	$opt_posts=($rang?number_format(100/$rang*$sum):0);
	return array($posts,$comments,$shoutbox,$rating,$news,$articles,$photos,$sum,$rang,$lvl,$opt_posts);
}

?>